Overview | Modules | Class Hierarchy | Classes | Members

# tlp::InteractorAction Class Reference

`#include <Interactor.h>`

Collaboration diagram for tlp::InteractorAction:

[legend]
List of all members.

## Detailed Description

InteractorAction extend QAction to provide Interactor information.

## Public Member Functions

- InteractorAction (Interactor *interactor, const QIcon &icon, const QString &text)
- Interactor * getInteractor ()

## Protected Attributes

- Interactor * interactor

## Constructor & Destructor Documentation

tlp::InteractorAction::InteractorAction | ( | Interactor * | interactor,
|  | const QIcon & | icon,
|  | const QString & | text
| ) |

## Member Function Documentation

Interactor* tlp::InteractorAction::getInteractor | ( |  | ) | `[inline]`

## Member Data Documentation

Interactor* tlp::InteractorAction::interactor `[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010